#!/bin/bash
#Description: DevKit constants
#Copyright: Copyright © Huawei Technologies Co., Ltd. 2023. All rights reserved.
#History: 2023-11-30 created

function init_variable() {
	if [ ! -f "${INSTALL_PATH}/tools/log.sh" ]; then
	    echo "There is no log file(${INSTALL_PATH}/tools/log.sh), please check!"
		exit "${ERROR}"
	fi
	source ${INSTALL_PATH}/tools/log.sh
	INSTALL_INI_PATH="${INSTALL_PATH}/config/install.ini"
	if [[ ! -f "${INSTALL_INI_PATH}" ]]; then
		echo_and_log "There is no configure file(${INSTALL_INI_PATH}), please check!" "${ERROR}"
		exit "${ERROR}"
	fi
	USER_PATH="$(grep -w USER_PATH "${INSTALL_INI_PATH}" | awk -F= '{if($2 !="") print $2}')"
	INSTALL_PLUGIN_PATH="${INSTALL_PATH}/devkitplugins"
	DEBUGGER_ENTRANCE_PATH="/usr/bin/devkit/debugger_entrance"
}

function clean_library_file() {
    file_path="${USER_PATH}/lib/libstdc++.so.6"
    if [[ -e "${file_path}" ]] && [[ ! -d "${INSTALL_PLUGIN_PATH}/affinity" ]]; then
        rm -rf ${USER_PATH}/lib/libstdc++.so.6*
    fi
    if [[ -e "${DEBUGGER_ENTRANCE_PATH}" ]]; then
        rm -rf "${DEBUGGER_ENTRANCE_PATH}"
    fi
}

function main() {
	INSTALL_PATH="$1" # /opt/DevKit
	init_variable
	clean_library_file
}

main $@