#!/bin/bash
#Description: const params
#Copyright: Copyright © Huawei Technologies Co., Ltd. 2020. All rights reserved.
#History: 2020-05-11 created

# 获取系统磁盘空间，检查磁盘空间是否满足安装
function disk_space_check()
{
    local install_path=$1
    local disk_space_need=$2
    local install_path_parent=$(dirname "${install_path}")
    # 获取磁盘的百分之十的大小，与disk_space_need比较
    local total_size=$(df "${install_path_parent}" | awk 'NR==2' | awk '{print $2}')
    local percent_size=$(expr ${total_size} / 10)
    if [[ ${percent_size} -gt ${TOOL_USE_SPACE} ]]; then
        disk_space_need=`expr ${TOOL_USE_SPACE} + ${disk_space_need}`
    else
        disk_space_need=`expr ${percent_size} + ${disk_space_need}`
    fi

    local available_space=$(df "$install_path_parent" | awk 'NR==2' | awk '{print $4}')
    if [[ ${available_space} -lt ${disk_space_need} ]]; then
        print_disk_space_need=`expr ${disk_space_need} / 1000 / 1000`
        echo_and_log "Insufficient drive space. At least ${print_disk_space_need} GB free space is required. Release drive space and try again." "${ERROR}"
        return "${ERROR}"
    fi
    return "${SUCCESS}"
}